1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Copyright 2001-2004 Free Software Foundation, Inc.
18#
19# This file is part of the GNU MP Library test suite.
20#
21# The GNU MP Library test suite is free software; you can redistribute it
22# and/or modify it under the terms of the GNU General Public License as
23# published by the Free Software Foundation; either version 3 of the License,
24# or (at your option) any later version.
25#
26# The GNU MP Library test suite is distributed in the hope that it will be
27# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
28# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
29# Public License for more details.
30#
31# You should have received a copy of the GNU General Public License along with
32# the GNU MP Library test suite.  If not, see https://www.gnu.org/licenses/.
33VPATH = @srcdir@
34am__is_gnu_make = { \
35  if test -z '$(MAKELEVEL)'; then \
36    false; \
37  elif test -n '$(MAKE_HOST)'; then \
38    true; \
39  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
40    true; \
41  else \
42    false; \
43  fi; \
44}
45am__make_running_with_option = \
46  case $${target_option-} in \
47      ?) ;; \
48      *) echo "am__make_running_with_option: internal error: invalid" \
49              "target option '$${target_option-}' specified" >&2; \
50         exit 1;; \
51  esac; \
52  has_opt=no; \
53  sane_makeflags=$$MAKEFLAGS; \
54  if $(am__is_gnu_make); then \
55    sane_makeflags=$$MFLAGS; \
56  else \
57    case $$MAKEFLAGS in \
58      *\\[\ \       ]*) \
59        bs=\\; \
60        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
61          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
62    esac; \
63  fi; \
64  skip_next=no; \
65  strip_trailopt () \
66  { \
67    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
68  }; \
69  for flg in $$sane_makeflags; do \
70    test $$skip_next = yes && { skip_next=no; continue; }; \
71    case $$flg in \
72      *=*|--*) continue;; \
73        -*I) strip_trailopt 'I'; skip_next=yes;; \
74      -*I?*) strip_trailopt 'I';; \
75        -*O) strip_trailopt 'O'; skip_next=yes;; \
76      -*O?*) strip_trailopt 'O';; \
77        -*l) strip_trailopt 'l'; skip_next=yes;; \
78      -*l?*) strip_trailopt 'l';; \
79      -[dEDm]) skip_next=yes;; \
80      -[JT]) skip_next=yes;; \
81    esac; \
82    case $$flg in \
83      *$$target_option*) has_opt=yes; break;; \
84    esac; \
85  done; \
86  test $$has_opt = yes
87am__make_dryrun = (target_option=n; $(am__make_running_with_option))
88am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
89pkgdatadir = $(datadir)/@PACKAGE@
90pkgincludedir = $(includedir)/@PACKAGE@
91pkglibdir = $(libdir)/@PACKAGE@
92pkglibexecdir = $(libexecdir)/@PACKAGE@
93am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
94install_sh_DATA = $(install_sh) -c -m 644
95install_sh_PROGRAM = $(install_sh) -c
96install_sh_SCRIPT = $(install_sh) -c
97INSTALL_HEADER = $(INSTALL_DATA)
98transform = $(program_transform_name)
99NORMAL_INSTALL = :
100PRE_INSTALL = :
101POST_INSTALL = :
102NORMAL_UNINSTALL = :
103PRE_UNINSTALL = :
104POST_UNINSTALL = :
105build_triplet = @build@
106host_triplet = @host@
107@WANT_CXX_TRUE@check_PROGRAMS = t-binary$(EXEEXT) t-cast$(EXEEXT) \
108@WANT_CXX_TRUE@     t-cxx11$(EXEEXT) t-headers$(EXEEXT) \
109@WANT_CXX_TRUE@     t-iostream$(EXEEXT) t-istream$(EXEEXT) \
110@WANT_CXX_TRUE@     t-locale$(EXEEXT) t-misc$(EXEEXT) \
111@WANT_CXX_TRUE@     t-mix$(EXEEXT) t-ops$(EXEEXT) t-ops2qf$(EXEEXT) \
112@WANT_CXX_TRUE@     t-ops2f$(EXEEXT) t-ops3$(EXEEXT) \
113@WANT_CXX_TRUE@     t-ostream$(EXEEXT) t-prec$(EXEEXT) \
114@WANT_CXX_TRUE@     t-ternary$(EXEEXT) t-unary$(EXEEXT) \
115@WANT_CXX_TRUE@     t-do-exceptions-work-at-all-with-this-compiler$(EXEEXT) \
116@WANT_CXX_TRUE@     t-ops2z$(EXEEXT) t-assign$(EXEEXT) \
117@WANT_CXX_TRUE@     t-constr$(EXEEXT) t-rand$(EXEEXT)
118subdir = tests/cxx
119ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
121          $(top_srcdir)/configure.ac
122am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
123          $(ACLOCAL_M4)
124DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
125mkinstalldirs = $(install_sh) -d
126CONFIG_HEADER = $(top_builddir)/config.h
127CONFIG_CLEAN_FILES =
128CONFIG_CLEAN_VPATH_FILES =
129am_t_assign_OBJECTS = t-assign.$(OBJEXT)
130t_assign_OBJECTS = $(am_t_assign_OBJECTS)
131t_assign_LDADD = $(LDADD)
132t_assign_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
133          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
134AM_V_lt = $(am__v_lt_@AM_V@)
135am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
136am__v_lt_0 = --silent
137am__v_lt_1 =
138am_t_binary_OBJECTS = t-binary.$(OBJEXT)
139t_binary_OBJECTS = $(am_t_binary_OBJECTS)
140t_binary_LDADD = $(LDADD)
141t_binary_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
142          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
143am_t_cast_OBJECTS = t-cast.$(OBJEXT)
144t_cast_OBJECTS = $(am_t_cast_OBJECTS)
145t_cast_LDADD = $(LDADD)
146t_cast_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
147          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
148am_t_constr_OBJECTS = t-constr.$(OBJEXT)
149t_constr_OBJECTS = $(am_t_constr_OBJECTS)
150t_constr_LDADD = $(LDADD)
151t_constr_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
152          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
153am_t_cxx11_OBJECTS = t-cxx11.$(OBJEXT)
154t_cxx11_OBJECTS = $(am_t_cxx11_OBJECTS)
155t_cxx11_LDADD = $(LDADD)
156t_cxx11_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
157          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
158am_t_do_exceptions_work_at_all_with_this_compiler_OBJECTS =  \
159          t-do-exceptions-work-at-all-with-this-compiler.$(OBJEXT)
160t_do_exceptions_work_at_all_with_this_compiler_OBJECTS =  \
161          $(am_t_do_exceptions_work_at_all_with_this_compiler_OBJECTS)
162t_do_exceptions_work_at_all_with_this_compiler_LDADD = $(LDADD)
163t_do_exceptions_work_at_all_with_this_compiler_DEPENDENCIES =  \
164          $(top_builddir)/tests/libtests.la $(top_builddir)/libgmpxx.la \
165          $(top_builddir)/libgmp.la
166am_t_headers_OBJECTS = t-headers.$(OBJEXT)
167t_headers_OBJECTS = $(am_t_headers_OBJECTS)
168t_headers_LDADD = $(LDADD)
169t_headers_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
170          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
171am_t_iostream_OBJECTS = t-iostream.$(OBJEXT)
172t_iostream_OBJECTS = $(am_t_iostream_OBJECTS)
173t_iostream_LDADD = $(LDADD)
174t_iostream_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
175          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
176am_t_istream_OBJECTS = t-istream.$(OBJEXT)
177t_istream_OBJECTS = $(am_t_istream_OBJECTS)
178t_istream_LDADD = $(LDADD)
179t_istream_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
180          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
181am_t_locale_OBJECTS = t-locale.$(OBJEXT) clocale.$(OBJEXT)
182t_locale_OBJECTS = $(am_t_locale_OBJECTS)
183t_locale_LDADD = $(LDADD)
184t_locale_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
185          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
186am_t_misc_OBJECTS = t-misc.$(OBJEXT)
187t_misc_OBJECTS = $(am_t_misc_OBJECTS)
188t_misc_LDADD = $(LDADD)
189t_misc_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
190          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
191am_t_mix_OBJECTS = t-mix.$(OBJEXT)
192t_mix_OBJECTS = $(am_t_mix_OBJECTS)
193t_mix_LDADD = $(LDADD)
194t_mix_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
195          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
196am_t_ops_OBJECTS = t-ops.$(OBJEXT)
197t_ops_OBJECTS = $(am_t_ops_OBJECTS)
198t_ops_LDADD = $(LDADD)
199t_ops_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
200          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
201am_t_ops2f_OBJECTS = t-ops2f.$(OBJEXT)
202t_ops2f_OBJECTS = $(am_t_ops2f_OBJECTS)
203t_ops2f_LDADD = $(LDADD)
204t_ops2f_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
205          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
206am_t_ops2qf_OBJECTS = t-ops2qf.$(OBJEXT)
207t_ops2qf_OBJECTS = $(am_t_ops2qf_OBJECTS)
208t_ops2qf_LDADD = $(LDADD)
209t_ops2qf_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
210          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
211am_t_ops2z_OBJECTS = t-ops2z.$(OBJEXT)
212t_ops2z_OBJECTS = $(am_t_ops2z_OBJECTS)
213t_ops2z_LDADD = $(LDADD)
214t_ops2z_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
215          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
216am_t_ops3_OBJECTS = t-ops3.$(OBJEXT)
217t_ops3_OBJECTS = $(am_t_ops3_OBJECTS)
218t_ops3_LDADD = $(LDADD)
219t_ops3_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
220          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
221am_t_ostream_OBJECTS = t-ostream.$(OBJEXT)
222t_ostream_OBJECTS = $(am_t_ostream_OBJECTS)
223t_ostream_LDADD = $(LDADD)
224t_ostream_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
225          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
226am_t_prec_OBJECTS = t-prec.$(OBJEXT)
227t_prec_OBJECTS = $(am_t_prec_OBJECTS)
228t_prec_LDADD = $(LDADD)
229t_prec_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
230          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
231am_t_rand_OBJECTS = t-rand.$(OBJEXT)
232t_rand_OBJECTS = $(am_t_rand_OBJECTS)
233t_rand_LDADD = $(LDADD)
234t_rand_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
235          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
236am_t_ternary_OBJECTS = t-ternary.$(OBJEXT)
237t_ternary_OBJECTS = $(am_t_ternary_OBJECTS)
238t_ternary_LDADD = $(LDADD)
239t_ternary_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
240          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
241am_t_unary_OBJECTS = t-unary.$(OBJEXT)
242t_unary_OBJECTS = $(am_t_unary_OBJECTS)
243t_unary_LDADD = $(LDADD)
244t_unary_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
245          $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
246AM_V_P = $(am__v_P_@AM_V@)
247am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
248am__v_P_0 = false
249am__v_P_1 = :
250AM_V_GEN = $(am__v_GEN_@AM_V@)
251am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
252am__v_GEN_0 = @echo "  GEN     " $@;
253am__v_GEN_1 =
254AM_V_at = $(am__v_at_@AM_V@)
255am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
256am__v_at_0 = @
257am__v_at_1 =
258DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
259depcomp =
260am__depfiles_maybe =
261COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
262          $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
263LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
264          $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
265          $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
266          $(AM_CFLAGS) $(CFLAGS)
267AM_V_CC = $(am__v_CC_@AM_V@)
268am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
269am__v_CC_0 = @echo "  CC      " $@;
270am__v_CC_1 =
271CCLD = $(CC)
272LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
273          $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
274          $(AM_LDFLAGS) $(LDFLAGS) -o $@
275AM_V_CCLD = $(am__v_CCLD_@AM_V@)
276am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
277am__v_CCLD_0 = @echo "  CCLD    " $@;
278am__v_CCLD_1 =
279CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
280          $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
281LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
282          $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
283          $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
284          $(AM_CXXFLAGS) $(CXXFLAGS)
285AM_V_CXX = $(am__v_CXX_@AM_V@)
286am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
287am__v_CXX_0 = @echo "  CXX     " $@;
288am__v_CXX_1 =
289CXXLD = $(CXX)
290CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
291          $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
292          $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
293AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
294am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
295am__v_CXXLD_0 = @echo "  CXXLD   " $@;
296am__v_CXXLD_1 =
297SOURCES = $(t_assign_SOURCES) $(t_binary_SOURCES) $(t_cast_SOURCES) \
298          $(t_constr_SOURCES) $(t_cxx11_SOURCES) \
299          $(t_do_exceptions_work_at_all_with_this_compiler_SOURCES) \
300          $(t_headers_SOURCES) $(t_iostream_SOURCES) \
301          $(t_istream_SOURCES) $(t_locale_SOURCES) $(t_misc_SOURCES) \
302          $(t_mix_SOURCES) $(t_ops_SOURCES) $(t_ops2f_SOURCES) \
303          $(t_ops2qf_SOURCES) $(t_ops2z_SOURCES) $(t_ops3_SOURCES) \
304          $(t_ostream_SOURCES) $(t_prec_SOURCES) $(t_rand_SOURCES) \
305          $(t_ternary_SOURCES) $(t_unary_SOURCES)
306DIST_SOURCES = $(t_assign_SOURCES) $(t_binary_SOURCES) \
307          $(t_cast_SOURCES) $(t_constr_SOURCES) $(t_cxx11_SOURCES) \
308          $(t_do_exceptions_work_at_all_with_this_compiler_SOURCES) \
309          $(t_headers_SOURCES) $(t_iostream_SOURCES) \
310          $(t_istream_SOURCES) $(t_locale_SOURCES) $(t_misc_SOURCES) \
311          $(t_mix_SOURCES) $(t_ops_SOURCES) $(t_ops2f_SOURCES) \
312          $(t_ops2qf_SOURCES) $(t_ops2z_SOURCES) $(t_ops3_SOURCES) \
313          $(t_ostream_SOURCES) $(t_prec_SOURCES) $(t_rand_SOURCES) \
314          $(t_ternary_SOURCES) $(t_unary_SOURCES)
315am__can_run_installinfo = \
316  case $$AM_UPDATE_INFO_DIR in \
317    n|no|NO) false;; \
318    *) (install-info --version) >/dev/null 2>&1;; \
319  esac
320am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
321# Read a list of newline-separated strings from the standard input,
322# and print each of them once, without duplicates.  Input order is
323# *not* preserved.
324am__uniquify_input = $(AWK) '\
325  BEGIN { nonempty = 0; } \
326  { items[$$0] = 1; nonempty = 1; } \
327  END { if (nonempty) { for (i in items) print i; }; } \
328'
329# Make sure the list of sources is unique.  This is necessary because,
330# e.g., the same source file might be shared among _SOURCES variables
331# for different programs/libraries.
332am__define_uniq_tagged_files = \
333  list='$(am__tagged_files)'; \
334  unique=`for i in $$list; do \
335    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
336  done | $(am__uniquify_input)`
337ETAGS = etags
338CTAGS = ctags
339am__tty_colors_dummy = \
340  mgn= red= grn= lgn= blu= brg= std=; \
341  am__color_tests=no
342am__tty_colors = { \
343  $(am__tty_colors_dummy); \
344  if test "X$(AM_COLOR_TESTS)" = Xno; then \
345    am__color_tests=no; \
346  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
347    am__color_tests=yes; \
348  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
349    am__color_tests=yes; \
350  fi; \
351  if test $$am__color_tests = yes; then \
352    red=''; \
353    grn=''; \
354    lgn=''; \
355    blu=''; \
356    mgn=''; \
357    brg=''; \
358    std=''; \
359  fi; \
360}
361am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
362am__vpath_adj = case $$p in \
363    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
364    *) f=$$p;; \
365  esac;
366am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
367am__install_max = 40
368am__nobase_strip_setup = \
369  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
370am__nobase_strip = \
371  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
372am__nobase_list = $(am__nobase_strip_setup); \
373  for p in $$list; do echo "$$p $$p"; done | \
374  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
375  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
376    if (++n[$$2] == $(am__install_max)) \
377      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
378    END { for (dir in files) print dir, files[dir] }'
379am__base_list = \
380  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
381  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
382am__uninstall_files_from_dir = { \
383  test -z "$$files" \
384    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
385    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
386         $(am__cd) "$$dir" && rm -f $$files; }; \
387  }
388am__recheck_rx = ^[           ]*:recheck:[        ]*
389am__global_test_result_rx = ^[          ]*:global-test-result:[       ]*
390am__copy_in_global_log_rx = ^[          ]*:copy-in-global-log:[       ]*
391# A command that, given a newline-separated list of test names on the
392# standard input, print the name of the tests that are to be re-run
393# upon "make recheck".
394am__list_recheck_tests = $(AWK) '{ \
395  recheck = 1; \
396  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
397    { \
398      if (rc < 0) \
399        { \
400          if ((getline line2 < ($$0 ".log")) < 0) \
401              recheck = 0; \
402          break; \
403        } \
404      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
405        { \
406          recheck = 0; \
407          break; \
408        } \
409      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
410        { \
411          break; \
412        } \
413    }; \
414  if (recheck) \
415    print $$0; \
416  close ($$0 ".trs"); \
417  close ($$0 ".log"); \
418}'
419# A command that, given a newline-separated list of test names on the
420# standard input, create the global log from their .trs and .log files.
421am__create_global_log = $(AWK) ' \
422function fatal(msg) \
423{ \
424  print "fatal: making $@: " msg | "cat >&2"; \
425  exit 1; \
426} \
427function rst_section(header) \
428{ \
429  print header; \
430  len = length(header); \
431  for (i = 1; i <= len; i = i + 1) \
432    printf "="; \
433  printf "\n\n"; \
434} \
435{ \
436  copy_in_global_log = 1; \
437  global_test_result = "RUN"; \
438  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
439    { \
440      if (rc < 0) \
441         fatal("failed to read from " $$0 ".trs"); \
442      if (line ~ /$(am__global_test_result_rx)/) \
443        { \
444          sub("$(am__global_test_result_rx)", "", line); \
445          sub("[    ]*$$", "", line); \
446          global_test_result = line; \
447        } \
448      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
449        copy_in_global_log = 0; \
450    }; \
451  if (copy_in_global_log) \
452    { \
453      rst_section(global_test_result ": " $$0); \
454      while ((rc = (getline line < ($$0 ".log"))) != 0) \
455      { \
456        if (rc < 0) \
457          fatal("failed to read from " $$0 ".log"); \
458        print line; \
459      }; \
460      printf "\n"; \
461    }; \
462  close ($$0 ".trs"); \
463  close ($$0 ".log"); \
464}'
465# Restructured Text title.
466am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
467# Solaris 10 'make', and several other traditional 'make' implementations,
468# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
469# by disabling -e (using the XSI extension "set +e") if it's set.
470am__sh_e_setup = case $$- in *e*) set +e;; esac
471# Default flags passed to test drivers.
472am__common_driver_flags = \
473  --color-tests "$$am__color_tests" \
474  --enable-hard-errors "$$am__enable_hard_errors" \
475  --expect-failure "$$am__expect_failure"
476# To be inserted before the command running the test.  Creates the
477# directory for the log if needed.  Stores in $dir the directory
478# containing $f, in $tst the test, in $log the log.  Executes the
479# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
480# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
481# will run the test scripts (or their associated LOG_COMPILER, if
482# thy have one).
483am__check_pre = \
484$(am__sh_e_setup);                                          \
485$(am__vpath_adj_setup) $(am__vpath_adj)                     \
486$(am__tty_colors);                                          \
487srcdir=$(srcdir); export srcdir;                            \
488case "$@" in                                                          \
489  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;        \
490    *) am__odir=.;;                                                   \
491esac;                                                                 \
492test "x$$am__odir" = x"." || test -d "$$am__odir"           \
493  || $(MKDIR_P) "$$am__odir" || exit $$?;                   \
494if test -f "./$$f"; then dir=./;                            \
495elif test -f "$$f"; then dir=;                                        \
496else dir="$(srcdir)/"; fi;                                  \
497tst=$$dir$$f; log='$@';                                     \
498if test -n '$(DISABLE_HARD_ERRORS)'; then                   \
499  am__enable_hard_errors=no;                                \
500else                                                                  \
501  am__enable_hard_errors=yes;                                         \
502fi;                                                                   \
503case " $(XFAIL_TESTS) " in                                  \
504  *[\ \   ]$$f[\ \  ]* | *[\ \          ]$$dir$$f[\ \       ]*) \
505    am__expect_failure=yes;;                                \
506  *)                                                                  \
507    am__expect_failure=no;;                                 \
508esac;                                                                 \
509$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
510# A shell command to get the names of the tests scripts with any registered
511# extension removed (i.e., equivalently, the names of the test logs, with
512# the '.log' extension removed).  The result is saved in the shell variable
513# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
514# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
515# since that might cause problem with VPATH rewrites for suffix-less tests.
516# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
517am__set_TESTS_bases = \
518  bases='$(TEST_LOGS)'; \
519  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
520  bases=`echo $$bases`
521RECHECK_LOGS = $(TEST_LOGS)
522AM_RECURSIVE_TARGETS = check recheck
523TEST_SUITE_LOG = test-suite.log
524TEST_EXTENSIONS = @EXEEXT@ .test
525LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
526LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
527am__set_b = \
528  case '$@' in \
529    */*) \
530      case '$*' in \
531        */*) b='$*';; \
532          *) b=`echo '$@' | sed 's/\.log$$//'`; \
533       esac;; \
534    *) \
535      b='$*';; \
536  esac
537am__test_logs1 = $(TESTS:=.log)
538am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
539TEST_LOGS = $(am__test_logs2:.test.log=.log)
540TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
541TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
542          $(TEST_LOG_FLAGS)
543am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
544DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
545ABI = @ABI@
546ACLOCAL = @ACLOCAL@
547AMTAR = @AMTAR@
548AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
549AR = @AR@
550AS = @AS@
551ASMFLAGS = @ASMFLAGS@
552AUTOCONF = @AUTOCONF@
553AUTOHEADER = @AUTOHEADER@
554AUTOMAKE = @AUTOMAKE@
555AWK = @AWK@
556CALLING_CONVENTIONS_OBJS = @CALLING_CONVENTIONS_OBJS@
557CC = @CC@
558CCAS = @CCAS@
559CC_FOR_BUILD = @CC_FOR_BUILD@
560CFLAGS = @CFLAGS@
561CPP = @CPP@
562CPPFLAGS = @CPPFLAGS@
563CPP_FOR_BUILD = @CPP_FOR_BUILD@
564CXX = @CXX@
565CXXCPP = @CXXCPP@
566CXXFLAGS = @CXXFLAGS@
567CYGPATH_W = @CYGPATH_W@
568DEFN_LONG_LONG_LIMB = @DEFN_LONG_LONG_LIMB@
569DEFS = @DEFS@
570DLLTOOL = @DLLTOOL@
571DSYMUTIL = @DSYMUTIL@
572DUMPBIN = @DUMPBIN@
573ECHO_C = @ECHO_C@
574ECHO_N = @ECHO_N@
575ECHO_T = @ECHO_T@
576EGREP = @EGREP@
577EXEEXT = @EXEEXT@
578EXEEXT_FOR_BUILD = @EXEEXT_FOR_BUILD@
579FGREP = @FGREP@
580GMP_LDFLAGS = @GMP_LDFLAGS@
581GMP_LIMB_BITS = @GMP_LIMB_BITS@
582GMP_NAIL_BITS = @GMP_NAIL_BITS@
583GREP = @GREP@
584HAVE_CLOCK_01 = @HAVE_CLOCK_01@
585HAVE_CPUTIME_01 = @HAVE_CPUTIME_01@
586HAVE_GETRUSAGE_01 = @HAVE_GETRUSAGE_01@
587HAVE_GETTIMEOFDAY_01 = @HAVE_GETTIMEOFDAY_01@
588HAVE_HOST_CPU_FAMILY_power = @HAVE_HOST_CPU_FAMILY_power@
589HAVE_HOST_CPU_FAMILY_powerpc = @HAVE_HOST_CPU_FAMILY_powerpc@
590HAVE_SIGACTION_01 = @HAVE_SIGACTION_01@
591HAVE_SIGALTSTACK_01 = @HAVE_SIGALTSTACK_01@
592HAVE_SIGSTACK_01 = @HAVE_SIGSTACK_01@
593HAVE_STACK_T_01 = @HAVE_STACK_T_01@
594HAVE_SYS_RESOURCE_H_01 = @HAVE_SYS_RESOURCE_H_01@
595INSTALL = @INSTALL@
596INSTALL_DATA = @INSTALL_DATA@
597INSTALL_PROGRAM = @INSTALL_PROGRAM@
598INSTALL_SCRIPT = @INSTALL_SCRIPT@
599INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
600LD = @LD@
601LDFLAGS = @LDFLAGS@
602LEX = @LEX@
603LEXLIB = @LEXLIB@
604LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
605LIBCURSES = @LIBCURSES@
606LIBGMPXX_LDFLAGS = @LIBGMPXX_LDFLAGS@
607LIBGMP_DLL = @LIBGMP_DLL@
608LIBGMP_LDFLAGS = @LIBGMP_LDFLAGS@
609LIBM = @LIBM@
610LIBM_FOR_BUILD = @LIBM_FOR_BUILD@
611LIBOBJS = @LIBOBJS@
612LIBREADLINE = @LIBREADLINE@
613LIBS = @LIBS@
614LIBTOOL = @LIBTOOL@
615LIPO = @LIPO@
616LN_S = @LN_S@
617LTLIBOBJS = @LTLIBOBJS@
618LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
619M4 = @M4@
620MAINT = @MAINT@
621MAKEINFO = @MAKEINFO@
622MANIFEST_TOOL = @MANIFEST_TOOL@
623MKDIR_P = @MKDIR_P@
624NM = @NM@
625NMEDIT = @NMEDIT@
626OBJDUMP = @OBJDUMP@
627OBJEXT = @OBJEXT@
628OTOOL = @OTOOL@
629OTOOL64 = @OTOOL64@
630PACKAGE = @PACKAGE@
631PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
632PACKAGE_NAME = @PACKAGE_NAME@
633PACKAGE_STRING = @PACKAGE_STRING@
634PACKAGE_TARNAME = @PACKAGE_TARNAME@
635PACKAGE_URL = @PACKAGE_URL@
636PACKAGE_VERSION = @PACKAGE_VERSION@
637PATH_SEPARATOR = @PATH_SEPARATOR@
638RANLIB = @RANLIB@
639SED = @SED@
640SET_MAKE = @SET_MAKE@
641SHELL = @SHELL@
642SPEED_CYCLECOUNTER_OBJ = @SPEED_CYCLECOUNTER_OBJ@
643STRIP = @STRIP@
644TAL_OBJECT = @TAL_OBJECT@
645TUNE_LIBS = @TUNE_LIBS@
646TUNE_SQR_OBJ = @TUNE_SQR_OBJ@
647U_FOR_BUILD = @U_FOR_BUILD@
648VERSION = @VERSION@
649WITH_READLINE_01 = @WITH_READLINE_01@
650YACC = @YACC@
651YFLAGS = @YFLAGS@
652abs_builddir = @abs_builddir@
653abs_srcdir = @abs_srcdir@
654abs_top_builddir = @abs_top_builddir@
655abs_top_srcdir = @abs_top_srcdir@
656ac_ct_AR = @ac_ct_AR@
657ac_ct_CC = @ac_ct_CC@
658ac_ct_CXX = @ac_ct_CXX@
659ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
660am__leading_dot = @am__leading_dot@
661am__tar = @am__tar@
662am__untar = @am__untar@
663bindir = @bindir@
664build = @build@
665build_alias = @build_alias@
666build_cpu = @build_cpu@
667build_os = @build_os@
668build_vendor = @build_vendor@
669builddir = @builddir@
670datadir = @datadir@
671datarootdir = @datarootdir@
672docdir = @docdir@
673dvidir = @dvidir@
674exec_prefix = @exec_prefix@
675gmp_srclinks = @gmp_srclinks@
676host = @host@
677host_alias = @host_alias@
678host_cpu = @host_cpu@
679host_os = @host_os@
680host_vendor = @host_vendor@
681htmldir = @htmldir@
682includedir = @includedir@
683infodir = @infodir@
684install_sh = @install_sh@
685libdir = @libdir@
686libexecdir = @libexecdir@
687localedir = @localedir@
688localstatedir = @localstatedir@
689mandir = @mandir@
690mkdir_p = @mkdir_p@
691mpn_objects = @mpn_objects@
692mpn_objs_in_libgmp = @mpn_objs_in_libgmp@
693oldincludedir = @oldincludedir@
694pdfdir = @pdfdir@
695prefix = @prefix@
696program_transform_name = @program_transform_name@
697psdir = @psdir@
698sbindir = @sbindir@
699sharedstatedir = @sharedstatedir@
700srcdir = @srcdir@
701sysconfdir = @sysconfdir@
702target_alias = @target_alias@
703top_build_prefix = @top_build_prefix@
704top_builddir = @top_builddir@
705top_srcdir = @top_srcdir@
706
707# LDADD has an explicit -L of $(top_builddir)/.libs for the benefit of gcc
708# 3.2 on itanium2-hp-hpux11.22.  Without this option, the libgmp.sl.6
709# required by libgmpxx.sl (ie. in its NEEDED records) is not found by the
710# linker.  FIXME: Presumably libtool should do something about this itself.
711# -lm is needed for t-ops2 which compares the results of trunc and mpf_trunc.
712#
713AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/tests
714AM_LDFLAGS = -no-install
715LDADD = -L$(top_builddir)/.libs \
716  $(top_builddir)/tests/libtests.la \
717  $(top_builddir)/libgmpxx.la \
718  $(top_builddir)/libgmp.la \
719  -lm
720
721@WANT_CXX_TRUE@TESTS = $(check_PROGRAMS)
722EXTRA_DIST = t-ops2.h
723t_assign_SOURCES = t-assign.cc
724t_binary_SOURCES = t-binary.cc
725t_cast_SOURCES = t-cast.cc
726t_constr_SOURCES = t-constr.cc
727t_cxx11_SOURCES = t-cxx11.cc
728t_headers_SOURCES = t-headers.cc
729t_iostream_SOURCES = t-iostream.cc
730t_istream_SOURCES = t-istream.cc
731t_locale_SOURCES = t-locale.cc clocale.c
732t_misc_SOURCES = t-misc.cc
733t_mix_SOURCES = t-mix.cc
734t_ops_SOURCES = t-ops.cc
735t_ops2z_SOURCES = t-ops2z.cc
736t_ops2qf_SOURCES = t-ops2qf.cc
737t_ops2f_SOURCES = t-ops2f.cc
738t_ops3_SOURCES = t-ops3.cc
739t_ostream_SOURCES = t-ostream.cc
740t_prec_SOURCES = t-prec.cc
741t_rand_SOURCES = t-rand.cc
742t_ternary_SOURCES = t-ternary.cc
743t_unary_SOURCES = t-unary.cc
744t_do_exceptions_work_at_all_with_this_compiler_SOURCES = \
745  t-do-exceptions-work-at-all-with-this-compiler.cc
746
747
748# Libtool (1.5) somehow botches its uninstalled shared library setups on
749# OpenBSD 3.2, making the C++ test programs here fail.  libgmpxx.so ends up
750# with a NEEDED record asking for ./.libs/libgmp.so.N, but the loader can't
751# find that unless it exists in the current directory.
752#
753# FIXME: Clearly libtool ought to handle this itself, in which case the hack
754# here can be removed.
755#
756# Note this fix applies only when running "make check".  The cp here should
757# be done manually if just one program is to be built and run.
758#
759TESTS_ENVIRONMENT = cp $(top_builddir)/.libs/libgmp.so.* .libs 2>/dev/null || true;
760all: all-am
761
762.SUFFIXES:
763.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
764$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
765          @for dep in $?; do \
766            case '$(am__configure_deps)' in \
767              *$$dep*) \
768                ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
769                  && { if test -f $@; then exit 0; else break; fi; }; \
770                exit 1;; \
771            esac; \
772          done; \
773          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu --ignore-deps tests/cxx/Makefile'; \
774          $(am__cd) $(top_srcdir) && \
775            $(AUTOMAKE) --gnu --ignore-deps tests/cxx/Makefile
776Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
777          @case '$?' in \
778            *config.status*) \
779              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
780            *) \
781              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
782              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
783          esac;
784
785$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
786          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
787
788$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
789          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
790$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
791          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
792$(am__aclocal_m4_deps):
793
794clean-checkPROGRAMS:
795          @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
796          echo " rm -f" $$list; \
797          rm -f $$list || exit $$?; \
798          test -n "$(EXEEXT)" || exit 0; \
799          list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
800          echo " rm -f" $$list; \
801          rm -f $$list
802
803t-assign$(EXEEXT): $(t_assign_OBJECTS) $(t_assign_DEPENDENCIES) $(EXTRA_t_assign_DEPENDENCIES)
804          @rm -f t-assign$(EXEEXT)
805          $(AM_V_CXXLD)$(CXXLINK) $(t_assign_OBJECTS) $(t_assign_LDADD) $(LIBS)
806
807t-binary$(EXEEXT): $(t_binary_OBJECTS) $(t_binary_DEPENDENCIES) $(EXTRA_t_binary_DEPENDENCIES)
808          @rm -f t-binary$(EXEEXT)
809          $(AM_V_CXXLD)$(CXXLINK) $(t_binary_OBJECTS) $(t_binary_LDADD) $(LIBS)
810
811t-cast$(EXEEXT): $(t_cast_OBJECTS) $(t_cast_DEPENDENCIES) $(EXTRA_t_cast_DEPENDENCIES)
812          @rm -f t-cast$(EXEEXT)
813          $(AM_V_CXXLD)$(CXXLINK) $(t_cast_OBJECTS) $(t_cast_LDADD) $(LIBS)
814
815t-constr$(EXEEXT): $(t_constr_OBJECTS) $(t_constr_DEPENDENCIES) $(EXTRA_t_constr_DEPENDENCIES)
816          @rm -f t-constr$(EXEEXT)
817          $(AM_V_CXXLD)$(CXXLINK) $(t_constr_OBJECTS) $(t_constr_LDADD) $(LIBS)
818
819t-cxx11$(EXEEXT): $(t_cxx11_OBJECTS) $(t_cxx11_DEPENDENCIES) $(EXTRA_t_cxx11_DEPENDENCIES)
820          @rm -f t-cxx11$(EXEEXT)
821          $(AM_V_CXXLD)$(CXXLINK) $(t_cxx11_OBJECTS) $(t_cxx11_LDADD) $(LIBS)
822
823t-do-exceptions-work-at-all-with-this-compiler$(EXEEXT): $(t_do_exceptions_work_at_all_with_this_compiler_OBJECTS) $(t_do_exceptions_work_at_all_with_this_compiler_DEPENDENCIES) $(EXTRA_t_do_exceptions_work_at_all_with_this_compiler_DEPENDENCIES)
824          @rm -f t-do-exceptions-work-at-all-with-this-compiler$(EXEEXT)
825          $(AM_V_CXXLD)$(CXXLINK) $(t_do_exceptions_work_at_all_with_this_compiler_OBJECTS) $(t_do_exceptions_work_at_all_with_this_compiler_LDADD) $(LIBS)
826
827t-headers$(EXEEXT): $(t_headers_OBJECTS) $(t_headers_DEPENDENCIES) $(EXTRA_t_headers_DEPENDENCIES)
828          @rm -f t-headers$(EXEEXT)
829          $(AM_V_CXXLD)$(CXXLINK) $(t_headers_OBJECTS) $(t_headers_LDADD) $(LIBS)
830
831t-iostream$(EXEEXT): $(t_iostream_OBJECTS) $(t_iostream_DEPENDENCIES) $(EXTRA_t_iostream_DEPENDENCIES)
832          @rm -f t-iostream$(EXEEXT)
833          $(AM_V_CXXLD)$(CXXLINK) $(t_iostream_OBJECTS) $(t_iostream_LDADD) $(LIBS)
834
835t-istream$(EXEEXT): $(t_istream_OBJECTS) $(t_istream_DEPENDENCIES) $(EXTRA_t_istream_DEPENDENCIES)
836          @rm -f t-istream$(EXEEXT)
837          $(AM_V_CXXLD)$(CXXLINK) $(t_istream_OBJECTS) $(t_istream_LDADD) $(LIBS)
838
839t-locale$(EXEEXT): $(t_locale_OBJECTS) $(t_locale_DEPENDENCIES) $(EXTRA_t_locale_DEPENDENCIES)
840          @rm -f t-locale$(EXEEXT)
841          $(AM_V_CXXLD)$(CXXLINK) $(t_locale_OBJECTS) $(t_locale_LDADD) $(LIBS)
842
843t-misc$(EXEEXT): $(t_misc_OBJECTS) $(t_misc_DEPENDENCIES) $(EXTRA_t_misc_DEPENDENCIES)
844          @rm -f t-misc$(EXEEXT)
845          $(AM_V_CXXLD)$(CXXLINK) $(t_misc_OBJECTS) $(t_misc_LDADD) $(LIBS)
846
847t-mix$(EXEEXT): $(t_mix_OBJECTS) $(t_mix_DEPENDENCIES) $(EXTRA_t_mix_DEPENDENCIES)
848          @rm -f t-mix$(EXEEXT)
849          $(AM_V_CXXLD)$(CXXLINK) $(t_mix_OBJECTS) $(t_mix_LDADD) $(LIBS)
850
851t-ops$(EXEEXT): $(t_ops_OBJECTS) $(t_ops_DEPENDENCIES) $(EXTRA_t_ops_DEPENDENCIES)
852          @rm -f t-ops$(EXEEXT)
853          $(AM_V_CXXLD)$(CXXLINK) $(t_ops_OBJECTS) $(t_ops_LDADD) $(LIBS)
854
855t-ops2f$(EXEEXT): $(t_ops2f_OBJECTS) $(t_ops2f_DEPENDENCIES) $(EXTRA_t_ops2f_DEPENDENCIES)
856          @rm -f t-ops2f$(EXEEXT)
857          $(AM_V_CXXLD)$(CXXLINK) $(t_ops2f_OBJECTS) $(t_ops2f_LDADD) $(LIBS)
858
859t-ops2qf$(EXEEXT): $(t_ops2qf_OBJECTS) $(t_ops2qf_DEPENDENCIES) $(EXTRA_t_ops2qf_DEPENDENCIES)
860          @rm -f t-ops2qf$(EXEEXT)
861          $(AM_V_CXXLD)$(CXXLINK) $(t_ops2qf_OBJECTS) $(t_ops2qf_LDADD) $(LIBS)
862
863t-ops2z$(EXEEXT): $(t_ops2z_OBJECTS) $(t_ops2z_DEPENDENCIES) $(EXTRA_t_ops2z_DEPENDENCIES)
864          @rm -f t-ops2z$(EXEEXT)
865          $(AM_V_CXXLD)$(CXXLINK) $(t_ops2z_OBJECTS) $(t_ops2z_LDADD) $(LIBS)
866
867t-ops3$(EXEEXT): $(t_ops3_OBJECTS) $(t_ops3_DEPENDENCIES) $(EXTRA_t_ops3_DEPENDENCIES)
868          @rm -f t-ops3$(EXEEXT)
869          $(AM_V_CXXLD)$(CXXLINK) $(t_ops3_OBJECTS) $(t_ops3_LDADD) $(LIBS)
870
871t-ostream$(EXEEXT): $(t_ostream_OBJECTS) $(t_ostream_DEPENDENCIES) $(EXTRA_t_ostream_DEPENDENCIES)
872          @rm -f t-ostream$(EXEEXT)
873          $(AM_V_CXXLD)$(CXXLINK) $(t_ostream_OBJECTS) $(t_ostream_LDADD) $(LIBS)
874
875t-prec$(EXEEXT): $(t_prec_OBJECTS) $(t_prec_DEPENDENCIES) $(EXTRA_t_prec_DEPENDENCIES)
876          @rm -f t-prec$(EXEEXT)
877          $(AM_V_CXXLD)$(CXXLINK) $(t_prec_OBJECTS) $(t_prec_LDADD) $(LIBS)
878
879t-rand$(EXEEXT): $(t_rand_OBJECTS) $(t_rand_DEPENDENCIES) $(EXTRA_t_rand_DEPENDENCIES)
880          @rm -f t-rand$(EXEEXT)
881          $(AM_V_CXXLD)$(CXXLINK) $(t_rand_OBJECTS) $(t_rand_LDADD) $(LIBS)
882
883t-ternary$(EXEEXT): $(t_ternary_OBJECTS) $(t_ternary_DEPENDENCIES) $(EXTRA_t_ternary_DEPENDENCIES)
884          @rm -f t-ternary$(EXEEXT)
885          $(AM_V_CXXLD)$(CXXLINK) $(t_ternary_OBJECTS) $(t_ternary_LDADD) $(LIBS)
886
887t-unary$(EXEEXT): $(t_unary_OBJECTS) $(t_unary_DEPENDENCIES) $(EXTRA_t_unary_DEPENDENCIES)
888          @rm -f t-unary$(EXEEXT)
889          $(AM_V_CXXLD)$(CXXLINK) $(t_unary_OBJECTS) $(t_unary_LDADD) $(LIBS)
890
891mostlyclean-compile:
892          -rm -f *.$(OBJEXT)
893
894distclean-compile:
895          -rm -f *.tab.c
896
897.c.o:
898          $(AM_V_CC)$(COMPILE) -c -o $@ $<
899
900.c.obj:
901          $(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
902
903.c.lo:
904          $(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
905
906.cc.o:
907          $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
908
909.cc.obj:
910          $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
911
912.cc.lo:
913          $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
914
915mostlyclean-libtool:
916          -rm -f *.lo
917
918clean-libtool:
919          -rm -rf .libs _libs
920
921ID: $(am__tagged_files)
922          $(am__define_uniq_tagged_files); mkid -fID $$unique
923tags: tags-am
924TAGS: tags
925
926tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
927          set x; \
928          here=`pwd`; \
929          $(am__define_uniq_tagged_files); \
930          shift; \
931          if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
932            test -n "$$unique" || unique=$$empty_fix; \
933            if test $$# -gt 0; then \
934              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
935                "$$@" $$unique; \
936            else \
937              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
938                $$unique; \
939            fi; \
940          fi
941ctags: ctags-am
942
943CTAGS: ctags
944ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
945          $(am__define_uniq_tagged_files); \
946          test -z "$(CTAGS_ARGS)$$unique" \
947            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
948               $$unique
949
950GTAGS:
951          here=`$(am__cd) $(top_builddir) && pwd` \
952            && $(am__cd) $(top_srcdir) \
953            && gtags -i $(GTAGS_ARGS) "$$here"
954cscopelist: cscopelist-am
955
956cscopelist-am: $(am__tagged_files)
957          list='$(am__tagged_files)'; \
958          case "$(srcdir)" in \
959            [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
960            *) sdir=$(subdir)/$(srcdir) ;; \
961          esac; \
962          for i in $$list; do \
963            if test -f "$$i"; then \
964              echo "$(subdir)/$$i"; \
965            else \
966              echo "$$sdir/$$i"; \
967            fi; \
968          done >> $(top_builddir)/cscope.files
969
970distclean-tags:
971          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
972
973# Recover from deleted '.trs' file; this should ensure that
974# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
975# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
976# to avoid problems with "make -n".
977.log.trs:
978          rm -f $< $@
979          $(MAKE) $(AM_MAKEFLAGS) $<
980
981# Leading 'am--fnord' is there to ensure the list of targets does not
982# expand to empty, as could happen e.g. with make check TESTS=''.
983am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
984am--force-recheck:
985          @:
986
987$(TEST_SUITE_LOG): $(TEST_LOGS)
988          @$(am__set_TESTS_bases); \
989          am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
990          redo_bases=`for i in $$bases; do \
991                        am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
992                      done`; \
993          if test -n "$$redo_bases"; then \
994            redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
995            redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
996            if $(am__make_dryrun); then :; else \
997              rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
998            fi; \
999          fi; \
1000          if test -n "$$am__remaking_logs"; then \
1001            echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1002                 "recursion detected" >&2; \
1003          elif test -n "$$redo_logs"; then \
1004            am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1005          fi; \
1006          if $(am__make_dryrun); then :; else \
1007            st=0;  \
1008            errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1009            for i in $$redo_bases; do \
1010              test -f $$i.trs && test -r $$i.trs \
1011                || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1012              test -f $$i.log && test -r $$i.log \
1013                || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1014            done; \
1015            test $$st -eq 0 || exit 1; \
1016          fi
1017          @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1018          ws='[     ]'; \
1019          results=`for b in $$bases; do echo $$b.trs; done`; \
1020          test -n "$$results" || results=/dev/null; \
1021          all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1022          pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1023          fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1024          skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1025          xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1026          xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1027          error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1028          if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1029            success=true; \
1030          else \
1031            success=false; \
1032          fi; \
1033          br='==================='; br=$$br$$br$$br$$br; \
1034          result_count () \
1035          { \
1036              if test x"$$1" = x"--maybe-color"; then \
1037                maybe_colorize=yes; \
1038              elif test x"$$1" = x"--no-color"; then \
1039                maybe_colorize=no; \
1040              else \
1041                echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1042              fi; \
1043              shift; \
1044              desc=$$1 count=$$2; \
1045              if test $$maybe_colorize = yes && test $$count -gt 0; then \
1046                color_start=$$3 color_end=$$std; \
1047              else \
1048                color_start= color_end=; \
1049              fi; \
1050              echo "$${color_start}# $$desc $$count$${color_end}"; \
1051          }; \
1052          create_testsuite_report () \
1053          { \
1054            result_count $$1 "TOTAL:" $$all   "$$brg"; \
1055            result_count $$1 "PASS: " $$pass  "$$grn"; \
1056            result_count $$1 "SKIP: " $$skip  "$$blu"; \
1057            result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1058            result_count $$1 "FAIL: " $$fail  "$$red"; \
1059            result_count $$1 "XPASS:" $$xpass "$$red"; \
1060            result_count $$1 "ERROR:" $$error "$$mgn"; \
1061          }; \
1062          {                                                                               \
1063            echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |   \
1064              $(am__rst_title);                                                           \
1065            create_testsuite_report --no-color;                                 \
1066            echo;                                                                         \
1067            echo ".. contents:: :depth: 2";                                     \
1068            echo;                                                                         \
1069            for b in $$bases; do echo $$b; done                                 \
1070              | $(am__create_global_log);                                                 \
1071          } >$(TEST_SUITE_LOG).tmp || exit 1;                                   \
1072          mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                           \
1073          if $$success; then                                                    \
1074            col="$$grn";                                                                  \
1075           else                                                                           \
1076            col="$$red";                                                                  \
1077            test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);           \
1078          fi;                                                                             \
1079          echo "$${col}$$br$${std}";                                            \
1080          echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";         \
1081          echo "$${col}$$br$${std}";                                            \
1082          create_testsuite_report --maybe-color;                                \
1083          echo "$$col$$br$$std";                                                          \
1084          if $$success; then :; else                                            \
1085            echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";               \
1086            if test -n "$(PACKAGE_BUGREPORT)"; then                             \
1087              echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";       \
1088            fi;                                                                           \
1089            echo "$$col$$br$$std";                                              \
1090          fi;                                                                             \
1091          $$success || exit 1
1092
1093check-TESTS:
1094          @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1095          @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1096          @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1097          @set +e; $(am__set_TESTS_bases); \
1098          log_list=`for i in $$bases; do echo $$i.log; done`; \
1099          trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1100          log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1101          $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1102          exit $$?;
1103recheck: all $(check_PROGRAMS)
1104          @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1105          @set +e; $(am__set_TESTS_bases); \
1106          bases=`for i in $$bases; do echo $$i; done \
1107                   | $(am__list_recheck_tests)` || exit 1; \
1108          log_list=`for i in $$bases; do echo $$i.log; done`; \
1109          log_list=`echo $$log_list`; \
1110          $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1111                  am__force_recheck=am--force-recheck \
1112                  TEST_LOGS="$$log_list"; \
1113          exit $$?
1114t-binary.log: t-binary$(EXEEXT)
1115          @p='t-binary$(EXEEXT)'; \
1116          b='t-binary'; \
1117          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1118          --log-file $$b.log --trs-file $$b.trs \
1119          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1120          "$$tst" $(AM_TESTS_FD_REDIRECT)
1121t-cast.log: t-cast$(EXEEXT)
1122          @p='t-cast$(EXEEXT)'; \
1123          b='t-cast'; \
1124          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1125          --log-file $$b.log --trs-file $$b.trs \
1126          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1127          "$$tst" $(AM_TESTS_FD_REDIRECT)
1128t-cxx11.log: t-cxx11$(EXEEXT)
1129          @p='t-cxx11$(EXEEXT)'; \
1130          b='t-cxx11'; \
1131          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1132          --log-file $$b.log --trs-file $$b.trs \
1133          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1134          "$$tst" $(AM_TESTS_FD_REDIRECT)
1135t-headers.log: t-headers$(EXEEXT)
1136          @p='t-headers$(EXEEXT)'; \
1137          b='t-headers'; \
1138          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1139          --log-file $$b.log --trs-file $$b.trs \
1140          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1141          "$$tst" $(AM_TESTS_FD_REDIRECT)
1142t-iostream.log: t-iostream$(EXEEXT)
1143          @p='t-iostream$(EXEEXT)'; \
1144          b='t-iostream'; \
1145          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1146          --log-file $$b.log --trs-file $$b.trs \
1147          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1148          "$$tst" $(AM_TESTS_FD_REDIRECT)
1149t-istream.log: t-istream$(EXEEXT)
1150          @p='t-istream$(EXEEXT)'; \
1151          b='t-istream'; \
1152          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1153          --log-file $$b.log --trs-file $$b.trs \
1154          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1155          "$$tst" $(AM_TESTS_FD_REDIRECT)
1156t-locale.log: t-locale$(EXEEXT)
1157          @p='t-locale$(EXEEXT)'; \
1158          b='t-locale'; \
1159          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1160          --log-file $$b.log --trs-file $$b.trs \
1161          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1162          "$$tst" $(AM_TESTS_FD_REDIRECT)
1163t-misc.log: t-misc$(EXEEXT)
1164          @p='t-misc$(EXEEXT)'; \
1165          b='t-misc'; \
1166          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1167          --log-file $$b.log --trs-file $$b.trs \
1168          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1169          "$$tst" $(AM_TESTS_FD_REDIRECT)
1170t-mix.log: t-mix$(EXEEXT)
1171          @p='t-mix$(EXEEXT)'; \
1172          b='t-mix'; \
1173          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1174          --log-file $$b.log --trs-file $$b.trs \
1175          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1176          "$$tst" $(AM_TESTS_FD_REDIRECT)
1177t-ops.log: t-ops$(EXEEXT)
1178          @p='t-ops$(EXEEXT)'; \
1179          b='t-ops'; \
1180          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1181          --log-file $$b.log --trs-file $$b.trs \
1182          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1183          "$$tst" $(AM_TESTS_FD_REDIRECT)
1184t-ops2qf.log: t-ops2qf$(EXEEXT)
1185          @p='t-ops2qf$(EXEEXT)'; \
1186          b='t-ops2qf'; \
1187          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1188          --log-file $$b.log --trs-file $$b.trs \
1189          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1190          "$$tst" $(AM_TESTS_FD_REDIRECT)
1191t-ops2f.log: t-ops2f$(EXEEXT)
1192          @p='t-ops2f$(EXEEXT)'; \
1193          b='t-ops2f'; \
1194          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1195          --log-file $$b.log --trs-file $$b.trs \
1196          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1197          "$$tst" $(AM_TESTS_FD_REDIRECT)
1198t-ops3.log: t-ops3$(EXEEXT)
1199          @p='t-ops3$(EXEEXT)'; \
1200          b='t-ops3'; \
1201          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1202          --log-file $$b.log --trs-file $$b.trs \
1203          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1204          "$$tst" $(AM_TESTS_FD_REDIRECT)
1205t-ostream.log: t-ostream$(EXEEXT)
1206          @p='t-ostream$(EXEEXT)'; \
1207          b='t-ostream'; \
1208          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1209          --log-file $$b.log --trs-file $$b.trs \
1210          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1211          "$$tst" $(AM_TESTS_FD_REDIRECT)
1212t-prec.log: t-prec$(EXEEXT)
1213          @p='t-prec$(EXEEXT)'; \
1214          b='t-prec'; \
1215          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1216          --log-file $$b.log --trs-file $$b.trs \
1217          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1218          "$$tst" $(AM_TESTS_FD_REDIRECT)
1219t-ternary.log: t-ternary$(EXEEXT)
1220          @p='t-ternary$(EXEEXT)'; \
1221          b='t-ternary'; \
1222          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1223          --log-file $$b.log --trs-file $$b.trs \
1224          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1225          "$$tst" $(AM_TESTS_FD_REDIRECT)
1226t-unary.log: t-unary$(EXEEXT)
1227          @p='t-unary$(EXEEXT)'; \
1228          b='t-unary'; \
1229          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1230          --log-file $$b.log --trs-file $$b.trs \
1231          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1232          "$$tst" $(AM_TESTS_FD_REDIRECT)
1233t-do-exceptions-work-at-all-with-this-compiler.log: t-do-exceptions-work-at-all-with-this-compiler$(EXEEXT)
1234          @p='t-do-exceptions-work-at-all-with-this-compiler$(EXEEXT)'; \
1235          b='t-do-exceptions-work-at-all-with-this-compiler'; \
1236          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1237          --log-file $$b.log --trs-file $$b.trs \
1238          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1239          "$$tst" $(AM_TESTS_FD_REDIRECT)
1240t-ops2z.log: t-ops2z$(EXEEXT)
1241          @p='t-ops2z$(EXEEXT)'; \
1242          b='t-ops2z'; \
1243          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1244          --log-file $$b.log --trs-file $$b.trs \
1245          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1246          "$$tst" $(AM_TESTS_FD_REDIRECT)
1247t-assign.log: t-assign$(EXEEXT)
1248          @p='t-assign$(EXEEXT)'; \
1249          b='t-assign'; \
1250          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1251          --log-file $$b.log --trs-file $$b.trs \
1252          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1253          "$$tst" $(AM_TESTS_FD_REDIRECT)
1254t-constr.log: t-constr$(EXEEXT)
1255          @p='t-constr$(EXEEXT)'; \
1256          b='t-constr'; \
1257          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1258          --log-file $$b.log --trs-file $$b.trs \
1259          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1260          "$$tst" $(AM_TESTS_FD_REDIRECT)
1261t-rand.log: t-rand$(EXEEXT)
1262          @p='t-rand$(EXEEXT)'; \
1263          b='t-rand'; \
1264          $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1265          --log-file $$b.log --trs-file $$b.trs \
1266          $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1267          "$$tst" $(AM_TESTS_FD_REDIRECT)
1268.test.log:
1269          @p='$<'; \
1270          $(am__set_b); \
1271          $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1272          --log-file $$b.log --trs-file $$b.trs \
1273          $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1274          "$$tst" $(AM_TESTS_FD_REDIRECT)
1275@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1276@am__EXEEXT_TRUE@   @p='$<'; \
1277@am__EXEEXT_TRUE@   $(am__set_b); \
1278@am__EXEEXT_TRUE@   $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1279@am__EXEEXT_TRUE@   --log-file $$b.log --trs-file $$b.trs \
1280@am__EXEEXT_TRUE@   $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1281@am__EXEEXT_TRUE@   "$$tst" $(AM_TESTS_FD_REDIRECT)
1282
1283distdir: $(DISTFILES)
1284          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1285          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1286          list='$(DISTFILES)'; \
1287            dist_files=`for file in $$list; do echo $$file; done | \
1288            sed -e "s|^$$srcdirstrip/||;t" \
1289                -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1290          case $$dist_files in \
1291            */*) $(MKDIR_P) `echo "$$dist_files" | \
1292                                 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1293                                 sort -u` ;; \
1294          esac; \
1295          for file in $$dist_files; do \
1296            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1297            if test -d $$d/$$file; then \
1298              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1299              if test -d "$(distdir)/$$file"; then \
1300                find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1301              fi; \
1302              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1303                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1304                find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1305              fi; \
1306              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1307            else \
1308              test -f "$(distdir)/$$file" \
1309              || cp -p $$d/$$file "$(distdir)/$$file" \
1310              || exit 1; \
1311            fi; \
1312          done
1313check-am: all-am
1314          $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1315          $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1316check: check-am
1317all-am: Makefile
1318installdirs:
1319install: install-am
1320install-exec: install-exec-am
1321install-data: install-data-am
1322uninstall: uninstall-am
1323
1324install-am: all-am
1325          @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1326
1327installcheck: installcheck-am
1328install-strip:
1329          if test -z '$(STRIP)'; then \
1330            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1331              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1332                install; \
1333          else \
1334            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1335              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1336              "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1337          fi
1338mostlyclean-generic:
1339          -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1340          -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1341          -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1342
1343clean-generic:
1344
1345distclean-generic:
1346          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1347          -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1348
1349maintainer-clean-generic:
1350          @echo "This command is intended for maintainers to use"
1351          @echo "it deletes files that may require special tools to rebuild."
1352clean: clean-am
1353
1354clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1355          mostlyclean-am
1356
1357distclean: distclean-am
1358          -rm -f Makefile
1359distclean-am: clean-am distclean-compile distclean-generic \
1360          distclean-tags
1361
1362dvi: dvi-am
1363
1364dvi-am:
1365
1366html: html-am
1367
1368html-am:
1369
1370info: info-am
1371
1372info-am:
1373
1374install-data-am:
1375
1376install-dvi: install-dvi-am
1377
1378install-dvi-am:
1379
1380install-exec-am:
1381
1382install-html: install-html-am
1383
1384install-html-am:
1385
1386install-info: install-info-am
1387
1388install-info-am:
1389
1390install-man:
1391
1392install-pdf: install-pdf-am
1393
1394install-pdf-am:
1395
1396install-ps: install-ps-am
1397
1398install-ps-am:
1399
1400installcheck-am:
1401
1402maintainer-clean: maintainer-clean-am
1403          -rm -f Makefile
1404maintainer-clean-am: distclean-am maintainer-clean-generic
1405
1406mostlyclean: mostlyclean-am
1407
1408mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1409          mostlyclean-libtool
1410
1411pdf: pdf-am
1412
1413pdf-am:
1414
1415ps: ps-am
1416
1417ps-am:
1418
1419uninstall-am:
1420
1421.MAKE: check-am install-am install-strip
1422
1423.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1424          clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1425          ctags ctags-am distclean distclean-compile distclean-generic \
1426          distclean-libtool distclean-tags distdir dvi dvi-am html \
1427          html-am info info-am install install-am install-data \
1428          install-data-am install-dvi install-dvi-am install-exec \
1429          install-exec-am install-html install-html-am install-info \
1430          install-info-am install-man install-pdf install-pdf-am \
1431          install-ps install-ps-am install-strip installcheck \
1432          installcheck-am installdirs maintainer-clean \
1433          maintainer-clean-generic mostlyclean mostlyclean-compile \
1434          mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1435          recheck tags tags-am uninstall uninstall-am
1436
1437.PRECIOUS: Makefile
1438
1439
1440$(top_builddir)/tests/libtests.la:
1441          cd $(top_builddir)/tests; $(MAKE) $(AM_MAKEFLAGS) libtests.la
1442
1443# Tell versions [3.59,3.63) of GNU make to not export all variables.
1444# Otherwise a system limit (for SysV at least) may be exceeded.
1445.NOEXPORT:
1446